Package db.buffers

# Interface BufferFileHandle

All Known Subinterfaces:
  `ManagedBufferFileHandle`, `RemoteBufferFileHandle`, `RemoteManagedBufferFileHandle`

public interface BufferFileHandle
`BufferFileHandle` facilitates access to a BufferFile

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearParameters()`
  `void`
  `close()`
  `boolean`
  `delete()`
  `void`
  `dispose()`
  `DataBuffer`
  `get(int index)`
  `int`
  `getBufferSize()`
  `int[]`
  `getFreeIndexes()`
  `int`
  `getIndexCount()`
  `InputBlockStream`
  `getInputBlockStream()`
  Provides local access to an input block stream.
  `BlockStreamHandle<InputBlockStream>`
  `getInputBlockStreamHandle()`
  Get an input block stream handle which will facilitate access to a remote InputBlockStream.
  `OutputBlockStream`
  `getOutputBlockStream(int blockCount)`
  Provides local access to an output block stream.
  `BlockStreamHandle<OutputBlockStream>`
  `getOutputBlockStreamHandle(int blockCount)`
  Get an output block stream handle which will facilitate access to a remote InputBlockStream.
  `int`
  `getParameter(String name)`
  `String[]`
  `getParameterNames()`
  `boolean`
  `isReadOnly()`
  `void`
  `put(DataBuffer buf, int index)`
  `void`
  `setFreeIndexes(int[] indexes)`
  `void`
  `setParameter(String name, int value)`
  `boolean`
  `setReadOnly()`

- ## Method Details

  - ### isReadOnly

    boolean isReadOnly() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.isReadOnly()`

  - ### setReadOnly

    boolean setReadOnly() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.setReadOnly()`

  - ### getParameter

    int getParameter(String name) throws NoSuchElementException, IOException
    Throws:
      `NoSuchElementException`
      `IOException`
    See Also:
      - `BufferFile.getParameter(java.lang.String)`

  - ### setParameter

    void setParameter(String name, int value) throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.setParameter(java.lang.String, int)`

  - ### clearParameters

    void clearParameters() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.clearParameters()`

  - ### getParameterNames

    String[] getParameterNames() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.getParameterNames()`

  - ### getBufferSize

    int getBufferSize() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.getBufferSize()`

  - ### getIndexCount

    int getIndexCount() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.getIndexCount()`

  - ### getFreeIndexes

    int[] getFreeIndexes() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.getFreeIndexes()`

  - ### setFreeIndexes

    void setFreeIndexes(int[] indexes) throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.setFreeIndexes(int[])`

  - ### close

    void close() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.close()`

  - ### delete

    boolean delete() throws IOException
    Throws:
      `IOException`
    See Also:
      - `}`

  - ### get

    DataBuffer get(int index) throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.get(DataBuffer, int)`

  - ### put

    void put(DataBuffer buf, int index) throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.put(DataBuffer, int)`

  - ### dispose

    void dispose() throws IOException
    Throws:
      `IOException`
    See Also:
      - `BufferFile.dispose()`

  - ### getInputBlockStream

    InputBlockStream getInputBlockStream() throws IOException
    Provides local access to an input block stream. This method should only be used if the associated `BufferFileAdapter.isRemote()` is false.
    Throws:
      `IOException`
    See Also:
      - `BufferFileAdapter.getInputBlockStream()`

  - ### getOutputBlockStream

    OutputBlockStream getOutputBlockStream(int blockCount) throws IOException
    Provides local access to an output block stream. This method should only be used if the associated `BufferFileAdapter.isRemote()` is false.
    Throws:
      `IOException`
    See Also:
      - `BufferFileAdapter.getOutputBlockStream(int)`

  - ### getInputBlockStreamHandle

    BlockStreamHandle<InputBlockStream> getInputBlockStreamHandle() throws IOException
    Get an input block stream handle which will facilitate access to a remote InputBlockStream. The handle will facilitate use of a remote streaming interface. This method should only be used if the associated `BufferFileAdapter.isRemote()` is true.
    Throws:
      `IOException`
    See Also:
      - `BufferFileAdapter.getInputBlockStream()`

  - ### getOutputBlockStreamHandle

    BlockStreamHandle<OutputBlockStream> getOutputBlockStreamHandle(int blockCount) throws IOException
    Get an output block stream handle which will facilitate access to a remote InputBlockStream. The handle will facilitate use of a remote streaming interface. This method should only be used if the associated `BufferFileAdapter.isRemote()` is true.
    Throws:
      `IOException`
    See Also:
      - `BufferFileAdapter.getOutputBlockStream(int)`